#! /bin/bash

if [ $# -ne 3 ]; then
   echo Usage: pack_image infile.fits binwidth nperblock
   exit 1
fi


infile=$1\[0\]			# add [0] to end of filename, imread fitsio HDU 0
binwidth=$2
npb=$3

fbase=`basename $1 .gz`
fbase=`basename $fbase .fits`
txtfile=${fbase}_${binwidth}.txt
pakfile=${fbase}_${binwidth}.pak
statfile=${fbase}_${binwidth}.stat
plogfile=${fbase}_${binwidth}.plog

# echo $txtfile $pakfile

# echo $npb $binwidth

imread $infile | \
./pack16b_v02 $npb $binwidth $pakfile > $plogfile 2>&1

./comp16b_v02 $pakfile ${pakfile}.cmp $npb 1 > $statfile
bzip2 -c $pakfile > ${pakfile}.bz2


# awk '{for (ii=1;ii<=NF;ii++) {print $ii}}' | \
